unit Unit41;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.Buttons, QuickRpt,
  Vcl.ExtCtrls, QRCtrls, RVQRCtrls, RVStyle;

type
  TForm41 = class(TForm)
    QR: TQuickRep;
    TitleBand1: TQRBand;
    BitBtn1: TBitBtn;
    QRRTF: TQRRichText;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
   XQRRV : TQRRichView;
  end;

var
  Form41: TForm41;

implementation

{$R *.dfm}

procedure TForm41.BitBtn1Click(Sender: TObject);
begin
 QR.PreView
end;

procedure TForm41.FormCreate(Sender: TObject);
var XPath : string;
begin
 XPath:=ExtractFilePath(ParamStr(0));
 QR.Visible:=false;
 QRRTF.Lines.LoadFromFile(XPath+'rtfdemo.rtf');
 XQRRV:=TQRRichView.Create(Self);
 XQRRv.SetBounds(10,550,600,400);
 XQRRV.Frame.DrawTop:=true;
 XQRRV.Parent:=TitleBand1;
 XQRRV.TransparentBackground := true;
 XQRRV.ColorMode := rvcmPrinterColor;
 XQRRV.LoadRVFFile(XPath+'rvdemo.rvf');
end;

procedure TForm41.FormDestroy(Sender: TObject);
begin
 XQRRV.Free;
end;


{
Hi,

Im using TRichViewEdit and TQRRichView and TQRDBRichView for printing. It works fine, but there seems to be a problem with some Windows-Fonts.
If I print them, some Fonts are not printed in TQRRichView or TQRDBRichView, for example Garamond, Old English and many other Windows-Fonts.
They work fine when I print for example with TQRRichText (look at the screenshot)

Example:

procedure PrintRV;
var XQRRV : TQRRichView;
begin
 XQRRV:=TQRRichView.Create(Self);
 XQRV.SetBounds(...);
 XQRRV.Parent:=TitleBand1;
 XQRRV.LoadRVFFile(filename);
 Quickreport.Preview;
 XQRV.Free;
end;

where QuickReport is placed in MainForm and has a TitleBand and filename is a RVF - File with textlines with different Windows-Fonts.

I use Windows 7 and Delphi XE7 with the QRCtrls-Unit at runtime because there was no possibility to install the QRVCtrls in Delphi XE7.

Does anyone have the same Problems? Thank you for reading this.

dasSYSTeam

}

end.
